Name:		phpMyAdmin
Version:	2.5.7
%define		modifier -pl1
Release:	0.fdr.2.pl1.1.2
Summary:	web-based MySQL administration.

Group:		Applications/Databases
License:	GPL v2
URL:		http://www.phpmyadmin.net/
Source:		http://download.sourceforge.net/sourceforge/phpmyadmin/%{name}-%{version}%{modifier}.tar.bz2

Requires:	php-mysql
Requires:	webserver
BuildRequires:	sed

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%define		_myadmindir	/var/www/html/phpMyAdmin

%description
phpMyAdmin can administer a whole MySQL-server (needs a super-user)
but also a single database. To accomplish the latter you'll need a
properly set up MySQL-user who can read/write only the desired
database. It's up to you to look up the appropiate part in the MySQL
manual. Currently phpMyAdmin can:
  - create and drop databases
  - create, copy, drop and alter tables
  - delete, edit and add fields
  - execute any SQL-statement, even batch-queries
  - manage keys on fields
  - load text files into tables
  - create (*) and read dumps of tables
  - export (*) and import data to CSV values
  - administer multiple servers and single databases
  - communicate in more than 20 different languages

Remember to edit %{_myadmindir}/config.inc.php to suit your settings.

%prep
%setup -q -n %{name}-%{version}%{modifier}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_myadmindir}/{css,images,lang,libraries}
install -d $RPM_BUILD_ROOT%{_myadmindir}/libraries/{auth,dbg,fpdf,fpdf/font}
install -d $RPM_BUILD_ROOT%{_myadmindir}/libraries/transformations
install -d $RPM_BUILD_ROOT%{_sysconfdir}/phpMyAdmin

install -p config.inc.php $RPM_BUILD_ROOT%{_sysconfdir}/phpMyAdmin
rm config.inc.php
install -p *.php *.html docs.css $RPM_BUILD_ROOT%{_myadmindir}
ln -sf %{_sysconfdir}/phpMyAdmin/config.inc.php $RPM_BUILD_ROOT%{_myadmindir}
install -p css/*.php $RPM_BUILD_ROOT%{_myadmindir}/css
install -p images/*.{gif,png} $RPM_BUILD_ROOT%{_myadmindir}/images
install -p lang/*.php $RPM_BUILD_ROOT%{_myadmindir}/lang
install -p libraries/*.{js,php} $RPM_BUILD_ROOT%{_myadmindir}/libraries
install -p libraries/auth/*.php $RPM_BUILD_ROOT%{_myadmindir}/libraries/auth
install -p libraries/dbg/*.php $RPM_BUILD_ROOT%{_myadmindir}/libraries/dbg
install -p libraries/fpdf/*.php $RPM_BUILD_ROOT%{_myadmindir}/libraries/fpdf
install -p libraries/fpdf/font/*.php \
        $RPM_BUILD_ROOT%{_myadmindir}/libraries/fpdf/font
install -p libraries/transformations/*.php $RPM_BUILD_ROOT%{_myadmindir}/libraries/transformations

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog CREDITS INSTALL LICENSE README TODO
%doc Documentation.txt Documentation.html
%doc libraries/transformations/{*.sh,README,TEMPLATE*}
%doc libraries/fpdf/README
%doc lang/*.sh
%doc scripts/*.sh scripts/*.php scripts/*.sql
# %doc scripts/*.pl FIXME: need to get rid of /usr/local/bin/perl in these
%defattr(755,root,root)
%dir %{_myadmindir}
%dir %{_myadmindir}/lang
%dir %{_myadmindir}/images
%dir %{_myadmindir}/libraries
%dir %{_myadmindir}/libraries/auth
%dir %{_myadmindir}/libraries/dbg
%dir %{_myadmindir}/libraries/fpdf
%dir %{_myadmindir}/libraries/fpdf/font
%dir %{_myadmindir}/libraries/transformations
%attr(640,root,apache) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/phpMyAdmin/config.inc.php
%defattr(644,root,root)
%{_myadmindir}/config.inc.php
%{_myadmindir}/docs.css
%{_myadmindir}/chk_rel.php
%{_myadmindir}/db_*.php
%{_myadmindir}/footer.inc.php
%{_myadmindir}/header*.inc.php
%{_myadmindir}/index.php
%{_myadmindir}/ldi*.php
%{_myadmindir}/left.php
%{_myadmindir}/main.php
%{_myadmindir}/mult_submits.inc.php
%{_myadmindir}/pdf*.php
%{_myadmindir}/phpinfo.php
%{_myadmindir}/query*.php
%{_myadmindir}/read_dump*.php
%{_myadmindir}/server_*.php
%{_myadmindir}/sql.php
%{_myadmindir}/tbl_*.php
%{_myadmindir}/transformation_wrapper.php
%{_myadmindir}/user_password.php
%{_myadmindir}/*.php
%{_myadmindir}/*.html
%{_myadmindir}/css/*.php
%{_myadmindir}/lang/*.php
%{_myadmindir}/images/*.gif
%{_myadmindir}/images/*.png
%{_myadmindir}/libraries/*.php
%{_myadmindir}/libraries/*.js
%{_myadmindir}/libraries/auth/*.php
%{_myadmindir}/libraries/dbg/*.php
%{_myadmindir}/libraries/fpdf/*.php
%{_myadmindir}/libraries/fpdf/font/*.php
%{_myadmindir}/libraries/transformations/*.php

%changelog
* Mon May 03 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 2.5.6-0.fdr.1: new upstream version

* Sun Sep 07 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:2.5.2-0.fdr.1
- removed RPM_BUILD_ROOT check
- put config in /etc/phpMyAdmin and symlink
- remove post script because it changes installed version

* Tue May 20 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 2.4.0-0.fdr.1: updated

* Thu Jan 16 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- adapted for 2.3.3

* Sat Mar 30 2002 Thomas Vander Stichele <thomas at apestaart dot org>
- adapted to Red Hat 7.2 from PLD's spec file (RPM database, webroot, ...)
- use http://localhost/phpMyAdmin/ as the absolute URL

